Subject: Re: [MIB-DOCTORS] MIB Dr. review of draft-ietf-mpls-mldp-mib-01

From: Kishore Tiruveedhula <[email-masked]>
Date: Tue, 21 Mar 2017 17:02:51 +0000

Hi Joan,
   
  Thanks for the review.

I addressed your comments and attached new draft. I will post it later as
cut off date passed for IETF98.
I will double check with the MIB compiler before posting the draft. Please
let me know if any comments in the attached new draft.

One question about hyphen. With the hyphen, it is giving below warning.
Without hyphen should I changed to single word like
³upstreamLabelAssignment" ?

----------------
ibs/MPLS-MLDP-STD-MIB:279: [4] {hyphen-in-label} warning: named bit
`upstream-label-assignment' must not include a hyphen in SMIv2
mibs/MPLS-MLDP-STD-MIB:283: [4] {hyphen-in-label} warning: named bit
`prot-lsr' must not include a hyphen in SMIv2
mibs/MPLS-MLDP-STD-MIB:286: [4] {hyphen-in-label} warning: named bit
`node-prot' must not include a hyphen in SMIv2
--------------

Thanks,
Kishore

On 3/21/17, 7:38 AM, "Kishore Tiruveedhula" <[email-masked]> wrote:

>Hi Loa,
>    I missed Joan's below email.
>I will address all the comments today.
>
>Thanks,
>Kishore 
>
>Sent from my iPhone
>
>> On Mar 21, 2017, at 6:55 AM, Loa Andersson <[email-masked]> wrote:
>> 
>> Authors,
>> 
>> This draft is expiring, I also have the comments below from Joan. When
>>do you think this will  be fixed?
>> 
>> /Loa
>> 
>>> On 2017-02-11 10:20, Joan Cucchiara wrote:
>>> Hello Authors,
>>> 
>>> This draft has come a long way since the previous version.  Thanks for
>>>that.
>>> 
>>> Please make sure the MIB compiles with smilint prior to MIB review as
>>>it
>>> is difficult to review a
>>> MIB Module that doesn't compile.
>>> 
>>> Also, please add compliance statements and conformance groups.
>>> 
>>> Comments below.
>>> Thanks,
>>> -Joan
>>> 
>>> 
>>> output from smilint compiler:
>>> ------------------------------
>>> While processing your request the following errors and/or warnings have
>>> been found:
>>> 
>>> mibs/MPLS-MLDP-STD-MIB:76: [5] {date-year-2digits} warning: date
>>> specification `2016092600Z' contains a two-digit year representing
>>>`1920'
>>> mibs/MPLS-MLDP-STD-MIB:76: [2] {date-month} date specification
>>> `2016092600Z' contains an illegal month
>>> mibs/MPLS-MLDP-STD-MIB:76: [2] {date-hour} date specification
>>> `2016092600Z' contains an illegal hour
>>> mibs/MPLS-MLDP-STD-MIB:76: [4] {date-in-past} warning: date
>>> specification `2016092600Z' predates the SMI standard
>>> 
>>> Then after that was fixed, more errors:
>>> 
>>> mibs/MPLS-MLDP-STD-MIB:268: [2] {identifier-redefined} redefinition of
>>> identifier `mplsLdpPeerCapabilityEntry'
>>> mibs/MPLS-MLDP-STD-MIB:254: [6] {previous-definition} info: previous
>>> definition of `mplsLdpPeerCapabilityEntry'
>>> mibs/MPLS-MLDP-STD-MIB:268: [1] {internal-other} syntax error,
>>> unexpected COLON_COLON_EQUAL, expecting OBJECT
>>> mibs/MPLS-MLDP-STD-MIB:271: [5] {internal-flushing} warning: flushing
>>> recent incorrect declaration, see previous error(s)
>>> mibs/MPLS-MLDP-STD-MIB:279: [4] {hyphen-in-label} warning: named bit
>>> `upstream-label-assignment' must not include a hyphen in SMIv2
>>> mibs/MPLS-MLDP-STD-MIB:283: [4] {hyphen-in-label} warning: named bit
>>> `prot-lsr' must not include a hyphen in SMIv2
>>> mibs/MPLS-MLDP-STD-MIB:286: [4] {hyphen-in-label} warning: named bit
>>> `node-prot' must not include a hyphen in SMIv2
>>> mibs/MPLS-MLDP-STD-MIB:386: [1] {internal-other} syntax error,
>>> unexpected UPPERCASE_IDENTIFIER, expecting COLON_COLON_EQUAL
>>> mibs/MPLS-MLDP-STD-MIB:417: [5] {internal-flushing} warning: flushing
>>> recent incorrect declaration, see previous error(s)
>>> mibs/MPLS-MLDP-STD-MIB:482: [2] {description-missing} description
>>> missing in object definition
>>> mibs/MPLS-MLDP-STD-MIB:482: [1] {internal-other} syntax error,
>>> unexpected MAX_ACCESS, expecting COLON_COLON_EQUAL
>>> mibs/MPLS-MLDP-STD-MIB:493: [5] {internal-flushing} warning: flushing
>>> recent incorrect declaration, see previous error(s)
>>> mibs/MPLS-MLDP-STD-MIB:1060: [1] {internal-other} syntax error,
>>> unexpected '}', expecting UPPERCASE_IDENTIFIER or LOWERCASE_IDENTIFIER
>>> or NUMBER
>>> mibs/MPLS-MLDP-STD-MIB:1060: [5] {internal-flushing} warning: flushing
>>> recent incorrect declaration, see previous error(s)
>>> mibs/MPLS-MLDP-STD-MIB:1061: [1] {internal-other} syntax error,
>>> unexpected STATUS
>>> 
>>> 
>>> 
>>> General Comments (please check throughout document)
>>> 
>>>------------------------------------------------------------------------
>>>---------
>>> *) Need to get this to compile using smilint.
>>> 
>>> 
>>> *) When other documents (RFCs or drafts) are mentioned, there should be
>>> a reference notation given.  Please fix this throughout the draft.

[Kishore] Fixed.

>>> 
>>> *) Naming Conventions:  Please refer to RFC4181 (MIB guidelines).
>>> Basically, the naming conventions used in this MIB Module do not follow
>>> the recommended naming conventions (Appendix C).
>>> 
>>> Prefix should be used throughout for all objects/tables/entries etc.
>>> So "mplsMldp" needs to be used consistently.

[Kishore] All objects have mplsMldp. The only table
mplsLdpPeerCapabilityTable is not defined in the LDP MIB. I added in the
mLDP MIB. 

>>> 
>>> 
>>> *) Think there are more AUGMENTS relationships between RFC3815 Tables
>>> and Tables in this MIB Module
>>> but they are not defined as AUGMENTS within the MIB Module but are
>>> described as such within the
>>> document sections.   Please make sure that the relationships between
>>> these tables are clarified.
>>> e.g.  mplsMldpPeerCapabilityTable and mplsLdpPeerTable
>>> 
>>> 
>>> Section 2.

[Kishore] Ok. I will more text to clarify this. As the
mplsLdpPeerCapabilityTable is not defined the STD-LDP-MIB, this table is
defined in MLDP MIB.

>>> 
>>> Remove the first paragraph.  Think this is understood.
>>> 
>>>   [[CREF1: The title and text for this section has been copied from the
>>>   official boilerplate, and should not be modified unless the official
>>>   boilerplate text from the OPS Area web site has changed.  See RFC4818
>>>   section 3.1 for a discussion of the boilerplate section.]]

[Kishore] Removed this section.

>>> 
>>> 
>>> Section 4. Overview
>>> 
>>> *) Make sure the RFCs/drafts listed are referenced as being in the
>>> References Section (probably the Normative References section).  Some
>>>of
>>> them are, some of the are not.  Be consistent.

>>> 
>>> *) Not very helpful to list a bunch of documents and not specify which
>>> features (i.e. specify the sections/sub-sections) appear in which
>>> documents.
>>> We already can see the list of documents in the References section so
>>> unless features/sections/subsections from these docs are specified per
>>> document, then don't see this as adding information.

[Kishore] Fixed.

>>> 
>>> *) Also, some out of date listings, so need to update these.
>>> ietf-rtgwg-mofrr is an RFC as of 8/2015

[Kishore] Changed to RFC7431.

>>> ietf-mpls-mldp-node-protection is an RFC as of 1/2016

[Kishore]  Changed to RFC 7715.

>>> 
>>> *) typo:  ...stats per per Interface

[Kishore] Fixed.

>>> 
>>> 
>>> Section 6.2
>>> 
>>>   mplsMldpSessionStatsTable : This table contains the number of mLDP
>>>   FECs received and advertised to particular LDP session.
>>> 
>>> s/to particular LDP session/ to a particular LDP session/

[Kishore] Fixed.

>>> 
>>> 
>>> Section 7.
>>> 
>>>   There are ten scalars, listed below are defined for this MIB module.
>>> 
>>> *) above sentence is awkward.  Maybe something like:
>>> 
>>> The following scalars are defined in this MIB Module:

[Kishore] Fixed.

>>> 
>>> 
>>> Section 8.1
>>> 
>>> *) s/from LDP peer/from an LDP peer/

[Kishore] Fixed.

>>> Section 8.5
>>> typo in section's title
>>> s/Upstreaam/Upstream/

[Kishore] Done.

>>> 
>>> 
>>> Section 8.6
>>> 
>>> s/gives the information/gives information/

[Kishore] Done.

>>> s/about number/about the number of/  (2 occurrences)

[Kishore] Done.

>>> 
>>> s/received on particualr/received on a particular/

[Kishore] Done.

>>> 
>>> Please note:  will review the other sections once the MIB compiles and
>>> compliance statements are added.

[Kishore] Ok.

>>> 
>>> 
>>> References Section:
>>> *) Some references (drafts) out of date and RFCs are out of order
>>> References.  Please update.

>>> 
>>> Other
>>> *) Please remove Appendix A and Appendix B (and regenerate the Table of
>>> Contents.)

[Kishore] Done.

>>> 
>>> 
>> 
>> -- 
>> 
>> 
>> Loa Andersson                        email: [email-masked]
>> Senior MPLS Expert                          [email-masked]
>> Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Joan Cucchiara" <[email-masked]>
Date: Tue, 21 Mar 2017 13:18:58 -0400

HI Kishore,

Yes, please change to NOT use hyphens.    Could you update doc and send me a
version of the draft when the MIB compiles cleanly?

Thanks,
-Joan

> -----Original Message-----
> From: MIB-DOCTORS [mailto:[email-masked]] On Behalf Of
> Kishore Tiruveedhula
> Sent: Tuesday, March 21, 2017 1:03 PM
> To: Loa Andersson; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: [MIB-DOCTORS] MIB Dr. review of draft-ietf-mpls-mldp-mib-01
> 
> Hi Joan,
> 
>   Thanks for the review.
> 
cut
> off date passed for IETF98.
let
> me know if any comments in the attached new draft.
> 
> >> This draft is expiring, I also have the comments below from Joan.
> >>When do you think this will  be fixed?
> >>
> >> /Loa
> >>
> >>> This draft has come a long way since the previous version.  Thanks
> >>>for that.
> >>>
> >>> Please make sure the MIB compiles with smilint prior to MIB review
> >>>as it  is difficult to review a  MIB Module that doesn't compile.
> >>>
> >>> While processing your request the following errors and/or warnings
> >>> have been found:
> >>>
> >>> mibs/MPLS-MLDP-STD-MIB:268: [2] {identifier-redefined} redefinition
> >>> of identifier `mplsLdpPeerCapabilityEntry'
> >>> mibs/MPLS-MLDP-STD-MIB:271: [5] {internal-flushing} warning:
> >>> flushing recent incorrect declaration, see previous error(s)
> >>> mibs/MPLS-MLDP-STD-MIB:417: [5] {internal-flushing} warning:
> >>> flushing recent incorrect declaration, see previous error(s)
> >>> mibs/MPLS-MLDP-STD-MIB:493: [5] {internal-flushing} warning:
> >>> flushing recent incorrect declaration, see previous error(s)
> >>> unexpected '}', expecting UPPERCASE_IDENTIFIER or
> >>> LOWERCASE_IDENTIFIER or NUMBER
> >>> mibs/MPLS-MLDP-STD-MIB:1060: [5] {internal-flushing} warning:
> >>> flushing recent incorrect declaration, see previous error(s)
> >>> *) When other documents (RFCs or drafts) are mentioned, there should
> >>> be a reference notation given.  Please fix this throughout the draft.
> 
> [Kishore] Fixed.
> 
> >>>
> >>> Basically, the naming conventions used in this MIB Module do not
> >>> follow the recommended naming conventions (Appendix C).
> >>>
> >>> *) Think there are more AUGMENTS relationships between RFC3815
> >>> Tables and Tables in this MIB Module but they are not defined as
> >>> AUGMENTS within the MIB Module but are described as such within the
> >>>of  them are, some of the are not.  Be consistent.
> 
> 
> >>>

---

From: Kishore Tiruveedhula <[email-masked]>
Date: Fri, 24 Mar 2017 15:06:46 +0000

Hi Joan,
     Please find the attached doc. I will post new draft when it opens for
the draft submission at https://datatracker.ietf.org/submit/
And please see below email inline [Kishore].

Please let me know if any more comments or if miss anything.

Thanks,
Kishore